Skip to navigation

List Redirects

Deprecated

Returns a list all Redirect URLs.

Warning

Deprecated

  • This API operation is deprecated. Avoid using this API operation if possible. It will be removed in a future version.
  • To get redirect URLs, use Redirects V3ʼs Get redirects endpoint.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

pageintegerOptional
Filter param.
limitintegerOptional
Filter param.

Response

OK
pathstring
The path from which to redirect.
forwardobject
idintegerOptional
Numeric ID of the redirect.
urlstringOptionalRead-only

URL of the redirect. READ-ONLY.